package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "PermintaanBarangDariRuanganSet_T")
public class PermintaanBarangDariRuanganSet extends BaseTransaction {

	private static final long serialVersionUID = -5554609029808657956L;

	@ManyToOne
	@JoinColumn(name = "ObjectPermintaanBarangDariRuanganFk")
	@Caption(value = "Object Permintaan Barang Dari Ruangan")
	private PermintaanBarangDariRuangan permintaanBarangDariRuangan;

	@Column(name = "ObjectPermintaanBarangDariRuanganFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false)
	private String permintaanBarangDariRuanganId;

	@Column(name = "NamaBarang", nullable = false)
	@Caption(value = "Nama Barang")
	private String namaBarang;

	@Column(name = "Stok", nullable = false)
	@Caption(value = "Stok")
	private Integer stok;

	@Column(name = "Qty", nullable = false)
	@Caption(value = "Qty")
	private Integer qty;

	@Column(name = "Satuan", nullable = false)
	@Caption(value = "Satuan")
	private String satuan;

	public String getNamaBarang() {
		return namaBarang;
	}

	public void setNamaBarang(String namaBarang) {
		this.namaBarang = namaBarang;
	}

	public Integer getStok() {
		return stok;
	}

	public void setStok(Integer stok) {
		this.stok = stok;
	}

	public Integer getQty() {
		return qty;
	}

	public void setQty(Integer qty) {
		this.qty = qty;
	}

	public String getSatuan() {
		return satuan;
	}

	public void setSatuan(String satuan) {
		this.satuan = satuan;
	}

	public PermintaanBarangDariRuangan getPermintaanBarangDariRuangan() {
		return permintaanBarangDariRuangan;
	}

	public void setPermintaanBarangDariRuangan(PermintaanBarangDariRuangan permintaanBarangDariRuangan) {
		this.permintaanBarangDariRuangan = permintaanBarangDariRuangan;
	}

}
